// Klient echa TCP

import java.io.*;
import java.net.*;

public class EchoKlient01{

	private Socket gniazdo;
	private BufferedReader in1;
	private BufferedReader in2;
	private PrintStream out;

	public EchoKlient01() throws IOException{
		this("localhost",7);
	}

	public EchoKlient01(String host, int port) throws IOException{
		gniazdo = new Socket(host,port);
		System.out.println("Połączyliśmy się z serwerem.");
		in1 = new BufferedReader(
			new InputStreamReader(gniazdo.getInputStream()));
		out = new PrintStream(gniazdo.getOutputStream());
		in2 = new BufferedReader(
			new InputStreamReader(System.in));
		System.out.println("Strumienie ok.");
	}

	public void dzialaj() throws IOException{
		String s = "";
		while(!s.equals("q")){
			System.out.println("Podaj liczbę z przedziału <0,10) do przeslania: ");
                        int liczba = -1 ;
			s = in2.readLine();
                        try
                        {
                           liczba = Integer.parseInt(s);
                        }
                        catch(Exception e)
                        {
                            System.out.println("Wprowadziłeś text. Podaj liczbę z przedziału <0,10)");
                        }
                        if (liczba >= 10)
                        {
                            System.out.println("Za duża liczba. Podaj liczbę z przedziału <0,10)");
                        }

                        if (liczba < 10 && liczba >= 0)
                        {
                            out.println(s);
                            System.out.println("Odp serwera: "+in1.readLine());
                        }
		}
		System.in.read();
	}

	public void zamknij(){
		try{
			if(in1 != null) in1.close();
			if(out != null) out.close();
			if(gniazdo != null) gniazdo.close();
		}catch(IOException e){}
	}

	public static void main(String[] args) throws Exception{
		EchoKlient01 k = null;
                int port = Integer.parseInt(args[1]);
		try{
			k = new EchoKlient01( args[0], port);
			k.dzialaj();
		}finally{
			if(k!=null)k.zamknij();
		}
	}
}